<!DOCTYPE html>
<html>
<head>
	<title>Hello hover!</title>
	<!--<script src="https://unpkg.com/vue"></script> -->
	<!-- development version, includes helpful console warnings: -->
	<script src="https://cdn.jsdelivr.net/npm/vue/dist/vue.js"></script>
</head>
<body>
	<div id="app">
  <div class="parent" v-for="i in 3" @mouseover="showModal=true;showByIndex = i;i===3 ? showModal=true : showModal=false" @mouseout="showByIndex = null">
    <div class="child-one">
      Some dummy text
     </div>
    <div class="child-two" v-bind:style="{ 'background-color': cstyle }" v-show="showByIndex === i">
      Show me only on hover on "div.parent" element
    </div>
    <div class="child-3" :style="{'position':'absolute', 'background-color':'lightgreen'}" v-show="showByIndex === i">
      Show absolute only on hover on "div.parent" element. {{ showByIndex }}
    </div>
  </div>
</div>

<script>
	/*
new Vue({
  el: '#app',
  data: {
    showByIndex: null
  },
});*/

// register modal component
      Vue.component("modal", {
        template: "#modal-template"
      });

      // start app
      var app=new Vue({
        el: "#app",
        data: {
			showByIndex: null,
          showModal: false,
          cstyle: 'green'
        }
      });
	</script>
</body>
</html>
